Bug 1729660 - [anaconda] dnf sometimes fails to decompress groups.xml [NEEDINFO]
Summary: [anaconda] dnf sometimes fails to decompress groups.xml
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Hrázký
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:84af80a040e9f6d36afa92f9044...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 08:00 UTC by Alessio
Modified: 2020-02-14 07:29 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
jkonecny: needinfo? (alciregi)


Attachments (Terms of Use)
File: anaconda-tb (701.85 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: anaconda.log (33.38 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: dbus.log (2.92 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: environ (637 bytes, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: hawkey.log (102 bytes, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: lorax-packages.log (25.82 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: lsblk_output (1.73 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: lvm.log (99.18 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: nmcli_dev_list (1.61 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: os_info (699 bytes, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: program.log (48.65 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: storage.log (91.78 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: syslog (318.91 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details
File: packaging.log (11.08 KB, text/plain)
2019-07-13 08:00 UTC, Alessio
no flags Details

Description Alessio 2019-07-13 08:00:34 UTC
Description of problem:


Version-Release number of selected component:
anaconda-31.19

The following was filed automatically by anaconda:
anaconda 31.19 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.7/site-packages/pyanaconda/payload/dnfpayload.py", line 731, in _payload_setup_error
    sys.exit(1)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/payload/dnfpayload.py", line 577, in _apply_selections
    self._payload_setup_error(e)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/payload/dnfpayload.py", line 885, in check_software_selection
    self._apply_selections()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/ui/tui/spokes/software_selection.py", line 340, in check_software_selection
    self.payload.check_software_selection()
  File "/usr/lib64/python3.7/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/threading.py", line 280, in run
    threading.Thread.run(self)
SystemExit: 1

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-E-dvd-x86_64-rawh quiet console=ttyS0
dnf.librepo.log: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         5.3.0-0.rc0.git3.1.fc31.x86_64
product:        Fedora
release:        Fedora release 31 (Rawhide)
release_type:   pre-release
type:           anaconda
version:        rawhide

Comment 1 Alessio 2019-07-13 08:00:38 UTC
Created attachment 1590146 [details]
File: anaconda-tb

Comment 2 Alessio 2019-07-13 08:00:40 UTC
Created attachment 1590147 [details]
File: anaconda.log

Comment 3 Alessio 2019-07-13 08:00:41 UTC
Created attachment 1590148 [details]
File: dbus.log

Comment 4 Alessio 2019-07-13 08:00:42 UTC
Created attachment 1590149 [details]
File: environ

Comment 5 Alessio 2019-07-13 08:00:43 UTC
Created attachment 1590150 [details]
File: hawkey.log

Comment 6 Alessio 2019-07-13 08:00:45 UTC
Created attachment 1590151 [details]
File: lorax-packages.log

Comment 7 Alessio 2019-07-13 08:00:46 UTC
Created attachment 1590152 [details]
File: lsblk_output

Comment 8 Alessio 2019-07-13 08:00:48 UTC
Created attachment 1590153 [details]
File: lvm.log

Comment 9 Alessio 2019-07-13 08:00:49 UTC
Created attachment 1590154 [details]
File: nmcli_dev_list

Comment 10 Alessio 2019-07-13 08:00:50 UTC
Created attachment 1590155 [details]
File: os_info

Comment 11 Alessio 2019-07-13 08:00:52 UTC
Created attachment 1590156 [details]
File: program.log

Comment 12 Alessio 2019-07-13 08:00:54 UTC
Created attachment 1590157 [details]
File: storage.log

Comment 13 Alessio 2019-07-13 08:00:56 UTC
Created attachment 1590158 [details]
File: syslog

Comment 14 Alessio 2019-07-13 08:00:58 UTC
Created attachment 1590159 [details]
File: packaging.log

Comment 15 Alessio 2019-07-14 05:51:12 UTC
It happens sometime. But I'm unable to replicate in a systematic way.

Comment 16 Jiri Konecny 2019-07-15 13:46:18 UTC
This issue is raised from the DNF library. Switching components.


07:57:13,956 CRT exception: Traceback (most recent call last):

  File "/usr/lib/python3.7/site-packages/dnf/yum/misc.py", line 411, in decompress
    libdnf.utils.decompress(filename, out, 0o644, ztype)

  File "/usr/lib64/python3.7/site-packages/libdnf/utils.py", line 208, in decompress
    return _utils.decompress(inPath, outPath, outMode, compressType)

RuntimeError: open: No such file or directory


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/usr/lib64/python3.7/site-packages/pyanaconda/payload/dnfpayload.py", line 563, in _apply_selections
    self._base.install_specs(install=include_list, exclude=exclude_list)

  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 1849, in install_specs
    self.read_comps(arch_filter=True)

  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 597, in read_comps
    decompressed = misc.repo_gen_decompress(comps_fn, 'groups.xml')

  File "/usr/lib/python3.7/site-packages/dnf/yum/misc.py", line 433, in repo_gen_decompress
    return decompress(filename, dest=dest, check_timestamps=True, fn_only=cached)

  File "/usr/lib/python3.7/site-packages/dnf/yum/misc.py", line 413, in decompress
    raise dnf.exceptions.MiscError(str(e))

dnf.exceptions.MiscError: open: No such file or directory

Comment 17 Ben Cotton 2019-08-13 16:50:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 18 Ben Cotton 2019-08-13 18:56:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 19 Lukáš Hrázký 2019-09-02 14:20:15 UTC
Jiri, how did you get the tracebacks from Comment 16? Were you able to reproduce the issue?

I've created a PR to include the filename in the error messages here: https://github.com/rpm-software-management/libdnf/pull/785

However, I think we still need a reproducer...

Comment 20 Jiri Konecny 2019-09-02 14:36:31 UTC
Hello Lukáš, no I did not tried to reproduce it. The traceback is from the anaconda.log.

The reproducer is more on the reporter.

Could you please describe steps to reproduce this issue or better try the proposed change if you know how?

Comment 21 Lukáš Hrázký 2019-09-02 14:48:17 UTC
Ah, sorry, I've missed that log.


Note You need to log in before you can comment on or make changes to this bug.